CompressionMetadata (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.compress
Class CompressionMetadata

    java.lang.Object
      org.apache.cassandra.io.compress.CompressionMetadata

    public class CompressionMetadata

extends java.lang.Object

Holds metadata about compressed file

Nested Class Summary
`class` | `CompressionMetadata.Chunk` Holds offset and length of the file chunk
`static class` | `CompressionMetadata.Writer`

Field Summary
`long` | `compressedFileLength`
`long` | `dataLength`
`java.lang.String` | `indexFilePath`
`CompressionParameters` | `parameters`

Method Summary
`CompressionMetadata.Chunk` | `chunkFor(long position)` Get a chunk of compressed data (offset, length) corresponding to given position
`int` | `chunkLength()`
`ICompressor` | `compressor()`
`static CompressionMetadata` | `create(java.lang.String dataFilePath)` Create metadata about given compressed file including uncompressed data length, chunk size and list of the chunk offsets of the compressed data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataLength

    public final long dataLength

### compressedFileLength

    public final long compressedFileLength

### indexFilePath

    public final java.lang.String indexFilePath

### parameters

    public final CompressionParameters parameters

Method Detail

### create

    public static CompressionMetadata create(java.lang.String dataFilePath)

  Create metadata about given compressed file including uncompressed data length, chunk size and list of the chunk offsets of the compressed data. This is an expensive operation! Don't create more than one for each sstable.

  Parameters:
    `dataFilePath` - Path to the compressed file
  Returns:
    metadata about given compressed file.

### compressor

    public ICompressor compressor()

### chunkLength

    public int chunkLength()

### chunkFor

    public CompressionMetadata.Chunk chunkFor(long position)
                                       throws java.io.IOException

  Get a chunk of compressed data (offset, length) corresponding to given position

  Parameters:
    `position` - Position in the file.
  Returns:
    pair of chunk offset and length.
  Throws:
    `java.io.IOException` - on any I/O error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation